API Reference
List reoptimization briefs for a domain
AuthorizationBearer <token>
In: header
Path Parameters
domainId*string
Domain ID
Query Parameters
page?number
Page number (1-based)
pageSize?number
Items per page
status?string
Value in
- "queued"
- "running"
- "completed"
- "failed"
Response Body
application/json
curl -X GET "https://example.com/api/domains/string/content-studio-v2/reoptimization-briefs"{ "briefs": [ { "id": "3fa85f64-5717-4562-b3fc-2c963f66afa6", "opportunityPageUrl": "https://nike.com/air-max", "status": "completed", "source": "gsc", "mode": "full", "autoMode": false, "targetKeywords": [ "best running shoes", "running shoes for flat feet" ], "language": "en", "currentStep": 8, "totalSteps": 8, "currentStepName": "generateBrief", "errorMessage": "Page crawl returned 404", "createdAt": "2026-05-25T10:30:00.000Z", "completedAt": "2026-05-25T10:35:00.000Z" } ], "total": 42, "page": 1, "pageSize": 20, "hasMore": true}